const loginAccount = () => import(/* webpackChunkName: "login" */ '@/components/loginAccount.vue')
const loginCode = () => import(/* webpackChunkName: "login" */ '@/components/loginCode.vue')
const password = () => import(/* webpackChunkName: "login" */ '@/components/password.vue')
const register = () => import(/* webpackChunkName: "login" */ '@/components/register.vue')

export default [
  { path: '*', redirect: '/auth' },
  {
    path: '/auth',
    component: () => import(/* webpackChunkName: "auth" */ '../pages/auth/components/layout.vue'),
    children: [
      { path: '', redirect: 'login/index' },
      {
        path: 'login',
        component: () => import(/* webpackChunkName: "auth" */ '../pages/auth/login.vue'),
        children: [
          { path: '', redirect: 'index' },
          { path: 'index', component: loginAccount },
          { path: 'code', component: loginCode }
        ]
      },
      {
        path: 'password',
        component: () => import(/* webpackChunkName: "auth" */ '../pages/auth/password.vue'),
        children: [{ path: '', component: password }]
      },
      {
        path: 'register',
        component: () => import(/* webpackChunkName: "auth" */ '../pages/auth/register.vue'),
        children: [{ path: '', component: register }]
      }
    ]
  },
  {
    path: '/sofia',
    component: () => import(/* webpackChunkName: "sofia" */ '../pages/sofia/components/layout.vue'),
    children: [
      { path: '', redirect: 'login/index' },
      {
        path: 'login',
        component: () => import(/* webpackChunkName: "sofia" */ '../pages/sofia/login.vue'),
        children: [
          { path: '', redirect: 'index' },
          { path: 'index', component: loginAccount },
          { path: 'code', component: loginCode }
        ]
      },
      {
        path: 'password',
        component: () => import(/* webpackChunkName: "sofia" */ '../pages/sofia/password.vue'),
        children: [{ path: '', component: password }]
      }
    ]
  },
  {
    path: '/kelley',
    component: () => import(/* webpackChunkName: "kelley" */ '../pages/kelley/components/layout.vue'),
    children: [
      { path: '', redirect: 'login/index' },
      {
        path: 'login',
        component: () => import(/* webpackChunkName: "kelley" */ '../pages/kelley/login.vue'),
        children: [
          { path: '', redirect: 'index' },
          { path: 'index', component: loginAccount },
          { path: 'code', component: loginCode }
        ]
      },
      {
        path: 'password',
        component: () => import(/* webpackChunkName: "kelley" */ '../pages/kelley/password.vue'),
        children: [{ path: '', component: password }]
      }
    ]
  },
  {
    path: '/wmp',
    component: () => import(/* webpackChunkName: "wmp" */ '../pages/wmp/components/layout.vue'),
    children: [
      { path: '', redirect: 'login/index' },
      {
        path: 'login',
        component: () => import(/* webpackChunkName: "wmp" */ '../pages/wmp/login.vue'),
        children: [
          { path: '', redirect: 'index' },
          { path: 'index', component: loginAccount },
          { path: 'code', component: loginCode }
        ]
      },
      {
        path: 'password',
        component: () => import(/* webpackChunkName: "wmp" */ '../pages/wmp/password.vue'),
        children: [{ path: '', component: password }]
      }
    ]
  },
  {
    path: '/ciis',
    component: () => import(/* webpackChunkName: "ciis" */ '../pages/ciis/components/layout.vue'),
    children: [
      { path: '', redirect: 'login/index' },
      {
        path: 'login',
        component: () => import(/* webpackChunkName: "ciis" */ '../pages/ciis/login.vue'),
        children: [
          { path: '', redirect: 'index' },
          { path: 'index', component: loginAccount },
          { path: 'code', component: loginCode }
        ]
      },
      {
        path: 'password',
        component: () => import(/* webpackChunkName: "ciis" */ '../pages/ciis/password.vue'),
        children: [{ path: '', component: password }]
      }
    ]
  },
  {
    path: '/campbellsville',
    component: () => import(/* webpackChunkName: "campbellsville" */ '../pages/campbellsville/components/layout.vue'),
    children: [
      { path: '', redirect: 'login/index' },
      {
        path: 'login',
        component: () => import(/* webpackChunkName: "campbellsville" */ '../pages/campbellsville/login.vue'),
        children: [
          { path: '', redirect: 'index' },
          { path: 'index', component: loginAccount },
          { path: 'code', component: loginCode }
        ]
      },
      {
        path: 'password',
        component: () => import(/* webpackChunkName: "campbellsville" */ '../pages/campbellsville/password.vue'),
        children: [{ path: '', component: password }]
      }
    ]
  }
]
